<?php
require('../class/connect.php');
require('../class/db_sql.php');
require('../class/functions.php');
require('../class/t_functions.php');
require('../class/dpfun.php');
require('../class/rebookdata.php');
require LoadLang('pub/fun.php');
require('../data/dbcache/class.php');
require('../data/dbcache/MemberLevel.php');
$link=db_connect();
$empire=new mysqlquery();
$bookid=(int)$_GET['bookid'];
$id=(int)$_GET['id'];
$page=(int)$_GET['page'];
$page=RepPIntvar($page);

//验证IP
eCheckAccessDoIp('showinfo');
if(!$bookid||!$id)
{
	printerror('此信息不存在','',1,0,1);
}

$mid=$class_r[$classid]['modid'];
$tbname=$class_r[$classid]['tbname'];

$bi=$empire->fetch1("select classid,id,tid,wid from {$dbtbpre}ecms_bookname_index where id=$bookid");//书籍索引表
if(!$bi[id] || $bi[id]!=$bookid){
	printerror('当前书籍不存在','',1,0,1);
}
$bk=$empire->fetch1("select id,classid,title,titleurl from {$dbtbpre}ecms_bookname where id=$bookid");//书籍主表
$mid=$bi[tid];
$tbname=$emod_r[$mid][tbname];
$classid=$bi[classid];

$r=$empire->fetch1("select * from {$dbtbpre}ecms_".$tbname." where id='$id' limit 1");
if(!$r['id']||$bookid!=$r['bookid'])
{
	printerror('此信息不存在','',1,0,1);
}


//是否支持动态内容页
if($class_r[$classid][ddt]==0)
{
	$titleurl=GotoGetBDUrl($bookid,$id,$classid);
	Header("Location:$titleurl");
	exit();
}

//权限
$index_r=$empire->fetch1("select sell from {$dbtbpre}ecms_".$tbname."_index where id='$id' limit 1");
if($index_r[sell])
{
	define('empirecms','wm_chief');
	//define('PageCheckLevel','wm_chief');
	$check_tbname=$tbname;
	$check_infoid=$id;
	$check_classid=$classid;
	$check_bookid=$bookid;
	$check_path="../../";
	$checkinfor=$r;
	@include("../class/CheckVipDt.php");
}
//存文本
if($emod_r[$mid]['savetxtf'])
{
	$stf=$emod_r[$mid]['savetxtf'];
	if($r[$stf])
	{
		$r[$stf]=GetTxtFieldText($r[$stf]);
	}
}
//初始值
$search="";
$line=1;
$start=0;
$page_line=6;//每页显示链接数
$offset=$page*$line;//总偏移量
$GLOBALS['navinfor']=$r;
$GLOBALS['navwid']=$bi[wid];
$GLOBALS['tbname']=$tbname;
$GLOBALS['navclassid']=$bi[classid];
$GLOBALS['navbookid']=$bi[id];

//取得内容模板
$r[newstempid]=$class_r[$classid][dtbdtempid]?$class_r[$classid][dtbdtempid]:$class_r[$classid][bdtempid];
$newstemp_r=$empire->fetch1("select tempid,temptext,showdate from ".GetTemptb("enewsnewstemp")." where tempid='$r[newstempid]'");

//替换模板变量
function DtGetHtml($add,$bi,$bk,$newstemp_r,$mid,$tbname,$line,$page_line,$start,$page,$search){
	global $public_r,$class_r,$class_zr,$class_tr,$fun_r,$empire,$dbtbpre,$emod_r,$level_r;
	//模板参数
	$newstemptext=$newstemp_r[temptext];
	$formatdate=$newstemp_r[showdate];
	//页面
	$pagetitle=ehtmlspecialchars($add[title]);
	$url=ReturnClassLink($add[classid]);//导航
	$newstemptext=DtInfo_ReplaceSvars($newstemptext,$url,$add[classid],$pagetitle,$add[keyboard],$pagetitle);


	//分页字段
	$ptitle=$add['title'];
	$truepage='';
	$titleselect='';

	//返回替换验证字符
	$docheckrep=ReturnCheckDoRepStr();

	//变量
	$tempf=$emod_r[$mid]['tempf'];
	$fr=explode(',',$tempf);
	$fcount=count($fr)-1;
	//变量替换
	$newstempstr=$newstemptext;//模板
	for($i=1;$i<$fcount;$i++)
	{
		$f=$fr[$i];
		$value=$add[$f];
		if($f=='downpath')//下载地址
		{
			if(strstr($newstemptext,'[!--downpath--]'))
			{
				$value=ReturnDownSoftHtml($add);
			}
		}
		elseif($f=='onlinepath')//观看地址
		{
			if(strstr($newstemptext,'[!--onlinepath--]'))
			{
				$value=ReturnOnlinepathHtml($add);
			}
		}
		elseif($f=='morepic')//图片集
		{
			if(strstr($newstemptext,'[!--morepic--]'))
			{
				$value=ReturnMorepicpathHtml($add);
			}
		}
		elseif($f=='newstime')//时间
		{
			if(strstr($newstemptext,'[!--newstime--]'))
			{
				$value=date($formatdate,$value);
			}
		}
		elseif($f=='befrom')//信息来源
		{
			if($docheckrep[1]&&strstr($newstemptext,'[!--befrom--]'))
			{
				$value=ReplaceBefrom($value);
			}
		}
		elseif($f=='writer')//作者
		{
			if($docheckrep[2]&&strstr($newstemptext,'[!--writer--]'))
			{
				$value=ReplaceWriter($value);
			}
		}
		elseif($f=='titlepic')//标题图片
		{
			if(empty($value))
			{$value=$public_r[newsurl].'e/data/images/notimg.gif';}
		}
		elseif($f=='title')//标题
		{
		}
		else//正常字段
		{
			if(!strstr($emod_r[$mid]['editorf'],','.$f.','))
			{
				if(strstr($emod_r[$mid]['tobrf'],','.$f.','))//加br
				{
					$value=nl2br($value);
				}
				if(!strstr($emod_r[$mid]['dohtmlf'],','.$f.','))//去除html
				{
					$value=RepFieldtextNbsp(ehtmlspecialchars($value));
				}
			}
		}
		$newstempstr=str_replace('[!--'.$f.'--]',$value,$newstempstr);
	}
	$bookid=$add[bookid];
	BookDataCache($bookid,$tbname);
	require ECMS_PATH.'e/data/c/'.$bookid.'.php';
	$np=GetNP($bookid,$add[id],$bk_r);
	$next_id=$np[next];
	$pre_id=$np[pre];
	$z_next=PnId($bk,$next_id,$tbname,1);
	$z_pre=PnId($bk,$pre_id,$tbname,0);

	//下一章信息
	$newstempstr=str_replace('[!--bookdata.next--]',$z_next[name],$newstempstr);//下一章	
	$newstempstr=str_replace('[!--bookdata.nexturl--]',$z_next[url],$newstempstr);//下一章链接

	//上一章信息
	$newstempstr=str_replace('[!--bookdata.pre--]',$z_pre[name],$newstempstr);//上一章
	$newstempstr=str_replace('[!--bookdata.preurl--]',$z_pre[url],$newstempstr);//上一章链接

	$grclassurl=ClassUrl($bi[classid]);//栏目链接
	$grclassname=$class_r[$bi[classid]][classname];//栏目名
	$grwid=$bi[wid];//作者ID
	$grwurl=$public_r[newsurl].'writer/'.$grwid.'/';
	$grwname=GetWname($bi[wid]);//作者姓名
	$grvname=GetVname($ecms_gr[vid]);//分卷名

	//当前信息
	$titleurl=GotoGetBDUrl($add[bookid],$add[id],$bi[classid]);
	$newstempstr=str_replace('[!--titleurl--]',$titleurl,$newstempstr);//当前链接
	//书信息
	$newstempstr=str_replace('[!--book.id--]',$add[bookid],$newstempstr);//bookid
	$newstempstr=str_replace('[!--book.name--]',$bk[title],$newstempstr);//bookname
	$newstempstr=str_replace('[!--book.url--]',$bk[titleurl],$newstempstr);//bookurl
	$newstempstr=str_replace('[!--book.volume--]',$grvname,$newstempstr);//分卷名
	//栏目信息
	$newstempstr=str_replace('[!--class.name--]',$grclassname,$newstempstr);
	$newstempstr=str_replace('[!--class.id--]',$bi[classid],$newstempstr);
	$newstempstr=str_replace('[!--class.url--]',$grclassurl,$newstempstr);
	//作者信息
	if($grwid){
		$wlink='<a href="'.$grwurl.'" target="_blank" title="'.$grwname.'">'.$grwname.'</a>';
	}else{
		$wlink='';
	}
	$newstempstr=str_replace('[!--zuozhe.name--]',$grwname,$newstempstr);
	$newstempstr=str_replace('[!--zuozhe.id--]',$grwid,$newstempstr);
	$newstempstr=str_replace('[!--zuozhe.url--]',$grwurl,$newstempstr);
	$newstempstr=str_replace('[!--zuozhe.link--]',$wlink,$newstempstr);

	//站点
	$newstempstr=str_replace('[!--news.url--]',$public_r[newsurl],$newstempstr);
	$newstempstr=str_replace('[!--sitename--]',$public_r[sitename],$newstempstr);

	$string=$newstempstr;

	return $string;
}

if(empty($newstemp_r['tempid']))
{
	printerror('ErrorUrl','',1);
}

//页面支持标签
if($public_r['dtncanbq'])
{
	$newstemp_r[temptext]=DtNewsBq('text'.$newstemp_r[tempid],$newstemp_r[temptext],1);
}
else
{
	if($public_r['searchtempvar'])
	{
		$newstemp_r[temptext]=ReplaceTempvar($newstemp_r[temptext]);
	}
}
$string=DtGetHtml($r,$bi,$bk,$newstemp_r,$mid,$tbname,$line,$page_line,$start,$page,$search);
echo stripSlashes($string);
db_close();
$empire=null;
?>